CVE-2009-2846

NameCVE-2009-2846
DescriptionThe eisa_eeprom_read function in the parisc isa-eeprom component (drivers/parisc/eisa_eeprom.c) in the Linux kernel before 2.6.31-rc6 allows local users to access restricted memory via a negative ppos argument, which bypasses a check that assumes that ppos is positive and causes an out-of-bounds read in the readb function.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1872-1, DSA-1928-1
NVD severityhigh (attack range: remote)
Debian/oldstablenot vulnerable.
Debian/stablenot known to be vulnerable.
Debian/testingnot known to be vulnerable.
Debian/unstablenot known to be vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux-2.6 (PTS)squeeze (security), squeeze2.6.32-48squeeze6fixed
squeeze (lts)2.6.32-48squeeze11fixed

The information above is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fai-kernelssourceetch1.17+etch.24etch4highDSA-1872-1
linux-2.6source(unstable)2.6.30-6low
linux-2.6sourceetch2.6.18.dfsg.1-24etch4highDSA-1872-1
linux-2.6sourcelenny2.6.26-19low
linux-2.6.24source(unstable)(unfixed)high
linux-2.6.24sourceetch2.6.24-6~etchnhalf.9etch1highDSA-1928-1
user-mode-linuxsourceetch2.6.18-1um-2etch.24etch4highDSA-1872-1

Search for package or bug name: Reporting problems